#[cfg(not(target_env = "msvc"))]
use tikv_jemallocator::Jemalloc;

#[cfg(not(target_env = "msvc"))]
#[global_allocator]
static GLOBAL: Jemalloc = Jemalloc;

use actix_web::{middleware, App, HttpServer};

#[actix_web::main]
async fn main() -> std::io::Result<()> {
    env_logger::init();
    log::info!(
        "Listening to requests at {}",
        backend::config::CONFIG.bind_url
    );

    HttpServer::new(move || {
        App::new()
            .wrap(middleware::Compress::default())
            .wrap(middleware::Logger::default())
            .configure(backend::web::init)
    })
    .bind(&backend::config::CONFIG.bind_url)
    .unwrap()
    .run()
    .await
}
